package com.ema.admin.modules.system.enums;

import lombok.Data;

@Data
public class SysUserEnum {

    /**
     * 帐号状态(0停用 1正常)
     */
    public enum Status {
        DISABLE("0", "停用"),
        ENABLE("1", "正常")
        ;
        private String value;
        private String describe;

        Status(String value, String describe) {
            this.describe = describe;
            this.value = value;
        }
        public String getValue() {
            return value;
        }
        public String getDescribe() {
            return describe;
        }
    }

    /**
     * 账户类型(1SAAS用户 2系统用户)
     */
    public enum Type {

        SYSTEM("0", "系统用户"),
        SAAS("1", "SAAS用户"),
        CHANNEL("2", "渠道用户")
        ;
        private String value;
        private String describe;

        Type(String value,String describe) {
            this.describe = describe;
            this.value = value;
        }
        public String getValue() {
            return value;
        }
        public String getDescribe() {
            return describe;
        }
    }

}
